%define name fluidity
%define version 0.1.1
%define release %mkrel 1

Summary: Fluidity is GTD software for Linux.
Name: %{name}
Version: %{version}
Release: %{release}
Group: Office
License: GPLv3
URL: http://code.google.com/p/fluidity/
Source0: http://code.google.com/p/fluidity/Fluidity-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires:	desktop-file-utils
Requires: python >= 2.5
Requires: python-parsedatetime
Requires: python-yaml
Requires: pyxdg
Requires: gnome-python-desktop
Requires: python-gobject
Requires: pygtk2.0
Requires: gnome-python
Requires: python-kiwi
Requires: tomboy
Requires: file-browser-applet
Requires: glibc >= 2.10.1
Requires: libstdc++6 >= 4.4.1
Obsoletes: %name < %{version}


%description
GTD for an aspiring black-belt using Linux 


%prep
%setup -q -n Fluidity

%build


%install
rm -rf $RPM_BUILD_ROOT
# data
install -dm 755 %{buildroot}%{_datadir}/%{name}
cp -af data src %{buildroot}%{_datadir}/%{name}

# launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %_datadir/%{name}/src
python -O ./fluidity.py
EOF

chmod +x %{buildroot}%{_bindir}/%{name}


# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Fluidity
Exec=%name
Terminal=false
Icon=file-browser-applet
Type=Application
StartupNotify=true
Comment=GTD management tool
Categories=GNOME;GTK;Office;X-MandrivaLinux-Office-TasksManagement;
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post 
%update_menus


%postun 
%clean_menus

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog LICENSE NEWS
%{_bindir}/%name
%{_datadir}/%name
%{_datadir}/applications/%name.desktop


%changelog
* Mon Nov 23 2009 slick50 <lxgator@gmail.com> 0.1.1-1pclos2010
- initial build
